#include <bits/stdc++.h>
using namespace std;

    int n,mesto,siz,mesto2,kol,os,op;
    string t;
int main(){
    cin >> t;
    siz=t.size();
    for(int i=0; i<=t.size(); i++){
        if(t.substr(i,1)==t.substr(siz-1-i,1)){
            bool pal=true;
        }
    }
    if(bool pal=true){
        cout << "1";
    }
    for(int i=0; i<=t.size(); i++){
        if(t.substr(i,1)!=t.substr(siz-1-i,1)){
            mesto=i+1; ///na tom mestu nije jjednak
            mesto2=siz-i;
            break;
        }
    }
    os=siz-mesto2;
    op=siz-mesto-1;
    kol=op-os;
    cout << op << endl;
    return 0;
}